%define name kover
%define version 0.8.3
%define release 2mdk
%define section Applications/Archiving/Other

Name:           %name
Summary:        WYSIWYG CD cover printer with CDDB support
Version:        %version
Release:        %release
Source:         %{name}-%{version}.tar.bz2
Source2:        kover.png.bz2
Source3:        kover16.png.bz2
Source4:        kover32.png.bz2
Source5:        kover48.png.bz2
URL:            http://lisas.de/kover
Group:          Archiving/Other
BuildRoot:      %_tmppath/%name-buildroot
License:	GPL
BuildRequires:  kdebase-devel >= 2.2.1
Requires:       kdebase >= 2.2.1

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support. 

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}
bzcat %{SOURCE2} > $RPM_BUILD_DIR/%{name}-%{version}/kover.png

%setup -q

%configure --disable-rpath

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p ${RPM_BUILD_ROOT}%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="X11" \
section="Applications/Archiving/Other" \
icon="%{name}.png" title="Kover" \
longtitle="WYSIWYG CD cover printer with CDDB support"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING TODO THANKS ChangeLog
%{_bindir}/kover
%{_bindir}/cddb-id
%{_menudir}/%{name}
%{_iconsdir}/*

%dir %_datadir/apps/
%dir %_datadir/apps/kover/
%_datadir/apps/kover/koverui.rc
#%dir %_datadir/apps/kover/pics
#%_datadir/apps/kover/pics/*.png

%dir %_datadir/applnk/
%dir %_datadir/applnk/Multimedia/
%_datadir/applnk/Multimedia/kover.desktop

%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop


%changelog
* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix spec file

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- Update code (0.8.3)

* Tue Oct 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- fixes by Claudio Panichi <sorcla@tiscalinet.it> :
	- Added missing files
	- Added menu entry
	- Fixed permissions on source file

* Wed Oct 17 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.8-1mdk
- First personal RPM for Linux Mandrake =:o)
